using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace HySoft.BaseCallCenter.Web.reportmanage.operationdata
{
    public partial class TowUserAPI : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            txtStartTime.Text = DateTime.Now.ToString("yyyy-MM-01");
            txtEndTime.Text = DateTime.Now.ToString("yyyy-MM-dd");
        }
        protected void exportExcel_Click(object sender, EventArgs e)
        {
            string fileName = "二线工程师KPI考核情况报表" + DateTime.Now.ToString("yyyyMMddHHmmss") + ".xls";
            Response.Clear();
            Response.Charset = "GB2312";
            Response.ContentEncoding = System.Text.Encoding.GetEncoding("GB2312");
            Response.AddHeader("Content-Disposition", "attachment;filename=" + HttpUtility.UrlEncode(fileName));
            Response.ContentType = "application/ms-excel";
            Response.Write(this.htHtmlReport.Value);
            Response.End();
        }
    }
}